Loading...
Searching...
No Matches
Dune::Amg::PropertiesGraphCreator< M, SequentialInformation > Struct Template Reference

`#include <dune/istl/paamg/graphcreator.hh>`

Inheritance diagram for Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >:

## Public Types

typedef M::matrix_type | Matrix
typedef Dune::Amg::MatrixGraph< const Matrix > | MatrixGraph
typedef Dune::Amg::PropertiesGraph< MatrixGraph, VertexProperties, EdgeProperties, IdentityMap, IdentityMap > | PropertiesGraph
typedef std::tuple< MatrixGraph *, PropertiesGraph * > | GraphTuple
typedef Dune::Amg::SubGraph< MatrixGraph, std::vector< bool > > | SubGraph

## Static Public Member Functions

template<class OF, class T>
static GraphTuple | create (const M &matrix, T &excluded, const SequentialInformation &pinfo, const OF &)
static void | free (GraphTuple &graphs)

## Member Typedef Documentation

## GraphTuple

template<class M>

typedef std::tuple<MatrixGraph*,PropertiesGraph*> Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::GraphTuple

## Matrix

template<class M>

typedef M::matrix_type Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::Matrix

## MatrixGraph

template<class M>

typedef Dune::Amg::MatrixGraph<const Matrix> Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::MatrixGraph

## PropertiesGraph

template<class M>

typedef Dune::Amg::PropertiesGraph<MatrixGraph, VertexProperties, EdgeProperties, IdentityMap, IdentityMap> Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::PropertiesGraph

## SubGraph

typedef Dune::Amg::SubGraph<MatrixGraph, std::vector<bool> > Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::SubGraph

## Member Function Documentation

## create()

template<class M>
template<class OF, class T>

GraphTuple Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::create | ( | const M & | matrix,
|  | T & | excluded,
|  | const SequentialInformation & | pinfo,
|  | const OF & | )

inline static

## free()

template<class M>

void Dune::Amg::PropertiesGraphCreator< M, SequentialInformation >::free | ( | GraphTuple & | graphs | ) |

inline static

The documentation for this struct was generated from the following file:

- graphcreator.hh